/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ViewerTypeEnum extends StringEnum
{
    public static final String TENANT_VALUE = "TENANT";//alias=租户内可见
    public static final String DEPARTMENT_VALUE = "DEPARTMENT";//alias=指定部门
    public static final String USER_VALUE = "USER";//alias=指定用户
    public static final String NONE_VALUE = "NONE";//alias=任何人都不可见

    public static final ViewerTypeEnum TENANT = new ViewerTypeEnum("TENANT", TENANT_VALUE);
    public static final ViewerTypeEnum DEPARTMENT = new ViewerTypeEnum("DEPARTMENT", DEPARTMENT_VALUE);
    public static final ViewerTypeEnum USER = new ViewerTypeEnum("USER", USER_VALUE);
    public static final ViewerTypeEnum NONE = new ViewerTypeEnum("NONE", NONE_VALUE);

    /**
     * construct function
     * @param String viewerTypeEnum
     */
    private ViewerTypeEnum(String name, String viewerTypeEnum)
    {
        super(name, viewerTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ViewerTypeEnum getEnum(String viewerTypeEnum)
    {
        return (ViewerTypeEnum)getEnum(ViewerTypeEnum.class, viewerTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ViewerTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ViewerTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ViewerTypeEnum.class);
    }
}